Subject: Re: Problems with Serial Port on IceCube

From: "Linas Petras" <[email-masked]>
Date: Wed, 9 Feb 2005 16:36:53 +1100

I have tried using another serial cable (as suggested by Wolfgang) but it
made no difference, but I did not expect it to as I get all the messages
from the bootroms OK.

I have have confirmed that I have (as suggested by Sylvian) set
CONFIG_CMDLINE= "console=ttyS0" and have also tried "console=ttyS0, 115200"
(as my serial port is set to 115200 on the icecube board) without any
messages after arch:exit. 

Below is what I see when I try and boot Sylvians 2-6-10-rc2 kernel.

=> tftp 200000
Using FEC ETHERNET device
TFTP from server 192.168.1.101; our IP address is 192.168.1.201
Filename 'uImage'.
Load address: 0x200000
Loading: #################################################################
 #################################################################
 #################################################################
 #############################################################
done
Bytes transferred = 1305842 (13ecf2 hex)
=> bootm 200000
## Booting image at 00200000 ...
   Image Name:   Linux-2.6.10-rc2
   Image Type:   PowerPC Linux Kernel Image (gzip compressed)
   Data Size:    1305778 Bytes =  1.2 MB
   Load Address: 00000000
   Entry Point:  00000000
   Verifying Checksum ... OK
   Uncompressing Kernel Image ... OK
id mach(): done
MMU:enter
MMU:hw init
MMU:mapin
MMU:setio
MMU:exit
setup_arch: enter
setup_arch: bootmem
ocp: exit
arch: exit
             
At this point all output to the serial port stops but the board boots and I
can telnet to the IP address. It's not that important in the greater scheme
of things, just very annoying :-(

Below is a "printenv" from the icecube-uboot.

baudrate=115200
ethact=FEC ETHERNET
preboot=echo;echo AutoStarting. Press any key to abort ...;echo
ethaddr=00:04:9F:00:12:60
bootdelay=5
hostname=icecube
flashboot=root=/dev/mtdblock2 rw
rootfs=root=/dev/nfs rw nfsroot=192.168.1.101:/work/ELDK-3.1/ppc_6xx
bootfile=uImage
nfsroot=root=/dev/nfs rw nfsroot=192.168.1.101:/work/ELDK-3.1/ppc_6xx
ip=ip=192.168.1.201:192.168.1.101:192.168.1.101:255.255.255.0:icecube::off
bootargs=root=/dev/nfs rw nfsroot=192.168.1.101:/work/ELDK-3.1/ppc_6xx
ip=192.16
8.1.201:192.168.1.101:192.168.1.101:255.255.255.0:icecube::off
filesize=b7d6e
fileaddr=100000
netmask=255.255.255.0
ipaddr=192.168.1.201
serverip=192.168.1.101
bootcmd=bootm ff100000
stdin=serial
stdout=serial
stderr=serial

Any ideas????

Linas Petras
------------
I know not with which weapons World War III will be faught, but World War IV
will be faught with sticks and stones. - Albert Einstein.